# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91.0"
name = "apimock"
version = "4.7.0"
authors = ["nabbisen <nabbisen@scqr.net>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "HTTP(S) mock server. Drop JSON files into a folder and your API immediately exists."
readme = "README.md"
keywords = [
    "http",
    "api",
    "mock",
    "testing",
]
categories = [
    "web-programming",
    "development-tools",
    "command-line-utilities",
]
license = "Apache-2.0"
repository = "https://github.com/apimokka/apimock-rs"

[features]
default = []
spawn = []

[lib]
name = "apimock"
path = "src/lib.rs"

[[bin]]
name = "apimock"
path = "src/main.rs"

[[test]]
name = "args"
path = "tests/args.rs"

[[test]]
name = "constant"
path = "tests/constant.rs"

[[test]]
name = "server"
path = "tests/server.rs"

[[test]]
name = "test"
path = "tests/test.rs"

[[test]]
name = "util"
path = "tests/util.rs"

[dependencies.anyhow]
version = "1"

[dependencies.console]
version = "0"

[dependencies.csv]
version = "1"

[dependencies.http-body-util]
version = "0"

[dependencies.hyper]
version = "1"
features = [
    "server",
    "http1",
    "http2",
]

[dependencies.hyper-util]
version = "0"
features = [
    "server",
    "http1",
    "http2",
    "tokio",
]

[dependencies.json5]
version = "1"

[dependencies.log]
version = "0"

[dependencies.rhai]
version = "1"
features = [
    "sync",
    "serde",
]

[dependencies.rustls]
version = "0.23.38"
features = [
    "log",
    "ring",
]
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "^1.44"
features = ["full"]

[dependencies.tokio-rustls]
version = "0.26.4"
features = [
    "logging",
    "ring",
    "tls12",
]
default-features = false

[dependencies.toml]
version = "1"

[dev-dependencies.local-ip-address]
version = "^0"

[dev-dependencies.rand]
version = "^0"

[dev-dependencies.rcgen]
version = "^0"

[dev-dependencies.reqwest]
version = "0"
features = ["rustls-tls"]
default-features = false

[profile.dev]
opt-level = 1
lto = false
incremental = true

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
strip = true
